package Client;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import pkg.TableWithTG;

public class TestPKStrategies {

    private static EntityManagerFactory emf;
    private static EntityManager em;
    
    public TestPKStrategies() {
    }
    
    public static void main(String[] args) {
        TestPKStrategies qe = new TestPKStrategies();
        
        emf = Persistence.createEntityManagerFactory("TryingPKStrategiesPU");
        em = emf.createEntityManager();
        qe.testTableWithTG();
    }

    private void testTableWithTG() {
        em.getTransaction().begin();
        TableWithTG entity1 = new TableWithTG();
        TableWithTG entity2 = new TableWithTG();
        em.persist(entity1);
        em.persist(entity2);
        em.getTransaction().commit();
        
        System.out.println("TableWithTG: Id generated - " + entity1.getId());
        System.out.println("TableWithTG: Id generated - " + entity2.getId());

        em.getTransaction().begin();
        TableWithTG entity3 = new TableWithTG();
        TableWithTG entity4 = new TableWithTG();
        em.persist(entity3);
        em.persist(entity4);
        em.getTransaction().commit();
        
        System.out.println("TableWithTG: Id generated - " + entity3.getId());
        System.out.println("TableWithTG: Id generated - " + entity4.getId());
    }
    
}
